Bug 6860 - syndetics covers not showing on search results or shelf browse
Summary: syndetics covers not showing on search results or shelf browse
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-08 21:55 UTC by Nicole C. Engard
Modified: 2013-12-05 19:53 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
no images (222.19 KB, image/jpeg)
2011-09-08 21:55 UTC, Nicole C. Engard
Details
image does exist (213.49 KB, image/jpeg)
2011-09-08 21:55 UTC, Nicole C. Engard
Details
no image shelf browse (168.41 KB, image/png)
2011-09-08 21:57 UTC, Nicole C. Engard
Details
Proposed Patch (27.34 KB, patch)
2011-09-09 10:37 UTC, Ian Walls
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6860: SyndeticsClientCode improperly scoped on many OPAC pages (27.42 KB, patch)
2011-09-09 16:08 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-09-08 21:55:26 UTC
Created attachment 5366 [details]
no images

See attached. The syndetics covers show on the detail display but not on the search results.  This is also a problem on the shelf browse - no cover images there either.

This is probably a T:T issue.
Comment 1 Nicole C. Engard 2011-09-08 21:55:46 UTC
Created attachment 5367 [details]
image does exist
Comment 2 Nicole C. Engard 2011-09-08 21:57:29 UTC
Created attachment 5368 [details]
no image shelf browse
Comment 3 Ian Walls 2011-09-09 10:37:35 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-09-09 16:08:11 UTC
Created attachment 5387 [details] [review]
[SIGNED-OFF] Bug 6860: SyndeticsClientCode improperly scoped on many OPAC pages

SyndeticsClientCode was locally scoped in nearly all loops, preventing it from working.

This patch fixes not only search results and shelf browsers, but also rarely-used parts of
opac-detail, opac-opensearch, opac-readingrecord, opac-showreviews and opac-user

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 5 Ian Walls 2011-09-09 16:20:24 UTC
Template only change, covers all instances of SyndeticsClientCode, marking as Passed QA, unless anyone objects.
Comment 6 Chris Cormack 2011-09-10 09:39:52 UTC
Pushed, please test
Comment 7 Chris Nighswonger 2011-10-26 18:02:32 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.
Comment 8 Jared Camins-Esakov 2012-05-23 12:18:26 UTC
Appears to work. Closing.